pcl::poisson::OctNode< NodeData, Real >::Neighbors5 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| Neighbors5 (void)
void | clear (void)

## Public Attributes

OctNode * | neighbors [5][5][5]

## Detailed Description

### template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::Neighbors5

Definition at line 234 of file octree_poisson.h.

## Constructor & Destructor Documentation

## Neighbors5()

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::Neighbors5::Neighbors5 | ( | void |  | ) |

Definition at line 1672 of file octree_poisson.hpp.

## Member Function Documentation

## clear()

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::Neighbors5::clear | ( | void |  | ) |

Definition at line 1677 of file octree_poisson.hpp.

## Member Data Documentation

## neighbors

template<class NodeData , class Real = float>

OctNode* pcl::poisson::OctNode< NodeData, Real >::Neighbors5::neighbors[5][5][5]

Definition at line 237 of file octree_poisson.h.

Referenced by pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors(), and pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/octree_poisson.h
- pcl/surface/3rdparty/poisson4/octree_poisson.hpp